[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.ControlUpdateScrollBars

Forces the associated control to update its scroll bars.

## Declaration

Source position: forms.pp line 125

`protected procedure TControlScrollBar.ControlUpdateScrollBars; virtual;`

## Description

Calls the UpdateScrollBars method in the associated TScrollingWinControl instance when its handle has been allocated. No actions are performed in the method during LCL component streaming and when the component is freed.

## See also

TScrollingWinControl.UpdateScrollBars |  | Initializes or updates the scroll bars for the control.